Bug 181915 - symbols stripped from library, alutInit undefined
symbols stripped from library, alutInit undefined
Product: Fedora
Classification: Fedora
Component: openal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: 184063 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-02-17 14:17 EST by Scot Harris
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-18 06:02:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scot Harris 2006-02-17 14:17:39 EST
Description of problem:  

Attempting to load X-Plane which requires the libopenal.so.0 library.  
Get following error during load:

./X-Plane-i586: symbol lookup error: ./X-Plane-i586: undefined symbol: alutInit

Further investigation shows that the library has had symbols stripped:

nm /usr/lib/libopenal.so.0.0.0
nm: /usr/lib/libopenal.so.0.0.0: no symbols

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. Install X-plane 8.21 from DVD
2. Execute X-Plane-i586
3. select language
4. select ok
5. application exits with error:

 ./X-Plane-i586: symbol lookup error: ./X-Plane-i586: undefined symbol: alutInit
Actual results:

./X-Plane-i586: symbol lookup error: ./X-Plane-i586: undefined symbol: alutInit

Expected results:

Successful execution of application

Additional info:
Comment 1 Andreas Bierfert 2006-02-18 06:02:24 EST
This is not an openal bug... alutInit is part of freealut. In order to run
applications which need it you must install freealut first.

[10:11 AM][awjb@alkaid ~]$ objdump -T /usr/lib64/libalut.so.0 | grep alutInit
00000000000025a0 g    DF .text	0000000000000054  Base        alutInitWithoutContext
0000000000002600 g    DF .text	00000000000000e0  Base        alutInit
Comment 2 Michael Schwendt 2006-03-05 18:44:37 EST
*** Bug 184063 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.